<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Classification</title>

        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">

        <link rel="stylesheet" href="{{ url_for('static',filename='bootstrap.min.css') }}">
        <link rel="stylesheet" href="{{ url_for('static',filename='style.min.css') }}">
    </head>
    <body>
        <div class="container">
            <div class="jumbotron">
                <h3 class="jumbotronHeading">Draw a digit inside the box!</h3>
               <div class="canvasDiv">
                    <canvas id="canvas" width="280" height="280"></canvas>
                    <br>
                    <p style="text-align:center;">
                        <a class="btn btn-success myButton" href="#" role="button">Predict</a>
                        <a class="btn btn-primary" href="#" id="clearButton" role="button">Clear</a>
                    </p>
                    <div class="slidecontainer">
                        <p>Drag the slider to change the thickness of the pencil.</p>
                        <input type="range" min="10" max="50" value="15" id="myRange">
                        <p>Value: <span id="sliderValue"></span></p>
                    </div>
                </div>
            </div>
           <div class="jumbotron">
                <p id="result">...</p>
            </div>
        </div>

        <script src="{{ url_for('static',filename='bootstrap.min.js') }}"></script>
        <script type=text/javascript src="{{ url_for('static', filename='jquery.min.js') }}"></script>

        <script src="{{ url_for('static',filename='index.js') }}"></script>
        <script type="text/javascript">
            $(".myButton").click(function(){
                var $SCRIPT_ROOT = {{ request.script_root|tojson|safe }};
                var canvasObj = document.getElementById("canvas");
                var img = canvasObj.toDataURL();

                $.ajax({
                    type: "POST",
                    url: $SCRIPT_ROOT + "/predict/",
                    data: img,
                    success: function(data){
                        $('#result').text(' Predicted Output: '+data);
                    }
                });
            });
        </script>
    </body>
</html>
